Package: org.gradle

## [Java] Class BuildExceptionReporter

- org.gradle.BuildExceptionReporter

- All Implemented Interfaces and Traits:
    Action

      @Deprecated
      public class BuildExceptionReporter
      extends BuildAdapter

  A BuildListener which reports the build exception, if any.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BuildExceptionReporter (org.gradle.logging.StyledTextOutputFactory textOutputFactory, org.gradle.logging.LoggingConfiguration loggingConfiguration, org.gradle.initialization.BuildClientMetaData clientMetaData)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `buildFinished(BuildResult result)`
    `void` | `execute(Throwable failure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BuildAdapter` | `buildFinished, buildStarted, projectsEvaluated, projectsLoaded, settingsEvaluated`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BuildExceptionReporter(org.gradle.logging.StyledTextOutputFactory textOutputFactory, org.gradle.logging.LoggingConfiguration loggingConfiguration, org.gradle.initialization.BuildClientMetaData clientMetaData)

  - ### Method Detail

    - #### public void buildFinished(BuildResult result)

    - #### public void execute(Throwable failure)